org.eclipse.january.dataset

## Class UnaryOperation.Stub

- java.lang.Object
- - org.eclipse.january.dataset.UnaryOperation.Stub

- All Implemented Interfaces:
    IOperation, UnaryOperation
  Enclosing interface:
    UnaryOperation

      public static class UnaryOperation.Stub
      extends Object
      implements UnaryOperation

  Stub class where only two methods need to be overridden: `complexOperate(double[], double, double)`, `toString(String)`

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.eclipse.january.dataset.UnaryOperation

      `UnaryOperation.Stub`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UnaryOperation.Stub()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `booleanOperate(long a)`
    `void` | `complexOperate(double[] out, double ra, double ia)` Override this
    `double` | `doubleOperate(double a)`
    `long` | `longOperate(long a)`
    `String` | `toString(String a)` Override this

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### UnaryOperation.Stub

          public UnaryOperation.Stub()

  - ### Method Detail

    - #### doubleOperate

          public double doubleOperate(double a)

      Specified by:
        `doubleOperate` in interface `UnaryOperation`
      Returns:
        op(a)a

    - #### booleanOperate

          public boolean booleanOperate(long a)

      Specified by:
        `booleanOperate` in interface `UnaryOperation`
      Returns:
        op(a)

    - #### longOperate

          public long longOperate(long a)

      Specified by:
        `longOperate` in interface `UnaryOperation`
      Returns:
        op(a)

    - #### complexOperate

          public void complexOperate(double[] out,
                            double ra,
                            double ia)

      Override this
      Specified by:
        `complexOperate` in interface `UnaryOperation`
      Parameters:
        `out` - holds op(ra, ia)

    - #### toString

          public String toString(String a)

      Override this
      Specified by:
        `toString` in interface `UnaryOperation`
      Returns:
        string to represent output

Copyright © 2017. All rights reserved.